\documentclass[openany,a4paper,UTF8]{ctexart}
\usepackage{listings}
\newfontfamily\codefont{DejaVu Sans Mono}
\setmonofont{DejaVu Sans Mono}
\lstset{basicstyle=\small\codefont,frame=single,numbers=none}
\setCJKmainfont[Mapping = fullwidth-stop, % 中文空心句号映射为实心句点
  BoldFont=FZHei-B01,ItalicFont=FZKai-Z03,
  BoldItalicFont=FZFangSong-Z02]{FZNewShuSong-Z10}

\begin{document}
\thispagestyle{empty}
\noindent
{\bf 2024年网鼎杯，赛前模拟训练，密码学，crypto02}

\noindent
拦截到一张图片，请您分析这张图片中，是否包含有隐藏数据信息？

\bigskip\noindent
将题目所给的 zip 文件解压，得到 wdb.jpg，然后从图片中提取字符串。
\begin{lstlisting}
$ strings -20 wdb.jpg
d2RmbGFne2RlNjA1YTM3NDZmZGM5MTl9
\end{lstlisting}

\bigskip\noindent
将提取得到的字符进行 base64 解码就得到答案。
\begin{lstlisting}
$ strings -20 wdb.jpg | base64 -d
wdflag{de605a3746fdc919}
\end{lstlisting}
\end{document}
